-- Adjustable Transparent Window
--@TBCONFIG SLIDER: Left, 25.0
--@TBCONFIG SLIDER: Top, 25.0
--@TBCONFIG SLIDER: Right, 75.0
--@TBCONFIG SLIDER: Bottom, 75.0
--@TBCONFIG SLIDER: Transparency, 100.0

x1 = (width - 1) * sliderVal1
y1 = (height - 1) * sliderVal2
x2 = (width - 1) * sliderVal3
y2 = (height - 1) * sliderVal4

for x = x1, x2 do
  for y = y1, y2 do
    r, g, b = get_rgb(x, y)
    set_rgba(x, y, r, g, b, 1.0 - sliderVal5)
  end
end
